{
	"name": "grid/manager/product/product_work/capacity_actual_grid.json",
	"columns_not_in_use": [
		{
			"width": 60,
			"name": "Vuoro",
			"variable": "prwo.json_data.work_shift"
		},
		{
			"width": 100,
			"name": "Tuotteen nimi",
			"variable": "pr.name"
		},
		{
			"format": "%'.2f",
			"variable": "prwo_work_hours_per_amout",
			"type": "r",
			"name": "Työaika",
			"width": 60
		},
		{
			"field": "prwo.product_id",
			"width": 80,
			"name": "Tuote"
		},
		{
			"width": 90,
			"name": "record_type",
			"variable": "prwo.record_type"
		}
	],
	"columns": [
		{
			"field": "prwo.resource_id",
			"width": 50,
			"name": "KR",
			"cellClassRules": {
				"grey": "data.timecard_shift != null"
			}
		},
		{
			"field": "prwo.person_id",
			"width": 50,
			"name": "Henkilö",
			"cellClassRules": {
				"grey": "data.timecard_shift != null"
			}
		},
		{
			"field": "prwo.production_lot",
			"width": 50,
			"name": "Valm. erä",
			"cellClassRules": {
				"grey": "data.timecard_shift != null"
			}
		},
		{
			"field": "prwo.produced_amount",
			"width": 60,
			"name": "Tehty määrä",
			"cellClassRules": {
				"grey": "data.timecard_shift != null"
			}
		},
		{
			"fieldX": "prwo.event_time",
			"record_type": "start",
			"field": "prwo.json_data.start_date",
			"width": 60,
			"name": "Alkupäivä",
			"cellClassRules": {
				"grey": "data.timecard_shift != null"
			}
		},
		{
			"fieldX": "prwo.event_time",
			"record_type": "start",
			"field": "prwo.json_data.start_time",
			"width": 50,
			"name": "Alkuaika",
			"cellClassRules": {
				"grey": "data.timecard_shift != null"
			}
		},
		{
			"fieldX": "prwo.event_time",
			"record_type": "end",
			"info": "prwo.json_data.end_date dows not work because 4d field name is date_ ending with '_'",
			"field": "prwo.json_data.date",
			"width": 60,
			"name": "Loppupäivä",
			"cellClassRules": {
				"grey": "data.timecard_shift != null"
			}
		},
		{
			"fieldX": "prwo.event_time",
			"record_type": "end",
			"field": "prwo.json_data.end_time",
			"width": 50,
			"name": "Loppuaika",
			"cellClassRules": {
				"grey": "data.timecard_shift != null"
			}
		},
		{
			"field": "prwo.json_data.start_work_shift",
			"width": 50,
			"name": "Al. vuoro",
			"cellClassRules": {
				"grey": "data.timecard_shift != null"
			}
		},
		{
			"field": "prwo.json_data.work_shift",
			"width": 50,
			"name": "Lop. vuoro",
			"cellClassRules": {
				"grey": "data.timecard_shift != null"
			}
		},
		{
			"variable": "timecard_shift",
			"width": 50,
			"name": "Kellok.",
			"cellClassRules": {
				"grey": "data.timecard_shift != null"
			}
		},
		{
			"field": "prwo.json_data.start_subtype",
			"width": 60,
			"name": "Al. alatyyppi",
			"cellClassRules": {
				"grey": "data.timecard_shift != null"
			}
		},
		{
			"field": "prwo.json_data.subtype",
			"width": 60,
			"name": "Lop. alatyyppi",
			"cellClassRules": {
				"grey": "data.timecard_shift != null"
			}
		},
		{
			"field": "prwo.description",
			"width": 100,
			"name": "Kuvaus",
			"cellClassRules": {
				"grey": "data.timecard_shift != null"
			}
		},
		{
			"field": "prwo.work_phase_number",
			"width": 40,
			"name": "Työvaihe",
			"cellClassRules": {
				"grey": "data.timecard_shift != null"
			}
		}
	],
	"options": {
		"grid_optionZ": {
			"header_heightZ": 46,
			"get_row_style": {
				"green": "1 > 0"
			}
		}
	}
}